Zum Hauptinhalt springen

Update a Project

PATCH/v2/projects/{projectId}
API-Version
v2
Request-Methode
PATCH
Operation-ID
project-update-project

Request​

  • projectIdstringrequired

    ID of the Project to be updated.

Responses​

Kein Response-Inhalt angegeben.

Nutzungsbeispiele​

$ curl \
--fail \
--location \
-X PATCH \
-d '{"description":"My new description!"}' \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
-H 'Content-Type: application/json' \
https://api.mittwald.de/v2/projects/string
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.project.updateProject({
"projectId": "string",
"data": {
"description": "My new description!"
}
});

assertStatus(response, 204);

use \Mittwald\ApiClient\Generated\V2\Clients\Project\UpdateProject\UpdateProjectRequest;
use \Mittwald\ApiClient\Generated\V2\Clients\Project\UpdateProject\UpdateProjectRequestBody;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

// TODO: Please consult the properties and constructor signature of
// UpdateProjectRequestBody to learn how to construct a valid instance
$body = new UpdateProjectRequestBody(/* TODO: ... */);

$request = (new UpdateProjectRequest(
projectId: "string",
body: $body
));
$response = $client->project()->updateProject($request);

var_dump($response->getBody();

Auf dieser Seite